///////////////////////////////////////////////////////////////////////////////////////////
// Data_V3_fnc.h
#define AFX_FNC_EXPORT __declspec(dllexport)
#define AFX_FNC_IMPORT __declspec(dllimport)

#ifdef _AFXEXT
	#define AFX_EXT_FNC		AFX_FNC_EXPORT
#else
	#define AFX_EXT_FNC		AFX_FNC_IMPORT
#endif

extern "C" AFX_EXT_FNC HANDLE pdCreateClient( );
extern "C" AFX_EXT_FNC void   pdCloseClient( HANDLE client );
///////////////////////////////////////////////////////////////////////////////////////////
// EXTERNI FUNKCE
extern "C" AFX_EXT_FNC int  pdFiles( int cmd, char *nfile, int size );									// souborove funkce
extern "C" AFX_EXT_FNC int  pdStrings( int cmd_id, char *cstr, int size, int iParam );					// stringove funkce
extern "C" AFX_EXT_FNC int	pdConnect( int cmd_id );													// pripojovaci funkce
extern "C" AFX_EXT_FNC int  pdStaticLine( int cmd_id, int *iParam, char *cstr, int size );				// staticka radka
extern "C" AFX_EXT_FNC int  pdPanelControl( int cmd_id, int iParam, BYTE *data, int size );				// rizeni panelu jas, cas, prg, atd..
extern "C" AFX_EXT_FNC int	pdArrData( int cmd_id, char *name, int iParam );							// funkce datoveho pole panelu
extern "C" AFX_EXT_FNC int  pdVariable( int cmd_id, char *cstr, int size, int *iParam1, int *iParam2 ); // promenne panelu

extern "C" AFX_EXT_FNC LPVOID GetPtrPanel( int id );													// pointer na datove pole panelu
///////////////////////////////////////////////////////////////////////////////////////////
// FUNKCE PANELU PRACE SE SOUBORY
extern "C" AFX_EXT_FNC int  pdControl_fnc( int control );												// ridici funkce cteni zapis
extern "C" AFX_EXT_FNC int  pdTranslator( int cmd_id, char *data, int *size, int *nFirst, int *nEnd );	// prekladac
extern "C" AFX_EXT_FNC int  pdPanelFile( int cmd_id, char *cstr, int size, int iParam );				// souborove operace
extern "C" AFX_EXT_FNC int  pdPanelFileControl( int cmd_id, char *cstr, int size, int iParam );			// rizeni souboru panelu
extern "C" AFX_EXT_FNC int  pdPanelFileSystem( int cmd_id, BYTE *bdata, int size, int iParam );			// souborvy system panelu
////////////////////////////////////////////////////////////////////////////////////////////
// Funkce FONTU
extern "C" AFX_EXT_FNC int  pdFont( int cmd_id, BYTE *data, int size, int *iParam1, int *iParam2 );		// prace s fonty
////////////////////////////////////////////////////////////////////////////////////////////
// FUNKCE KNIHOVNY SERIAL
extern "C" AFX_EXT_FNC int  pdDirectSendPanel( int cmd_id, BYTE *data, int iParam1, int iParam2 );

//------------------------------------------------------------------
#undef AFX_FNC_EXPORT
#undef AFX_FNC_IMPORT
#undef AFX_EXT_FNC







